Package org.eclipse.swt.accessibility

## Class AccessibleActionEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.swt.accessibility.AccessibleActionEvent

All Implemented Interfaces:
  `Serializable`

    public class AccessibleActionEvent
    extends EventObject

Instances of this class are sent as a result of accessibility clients sending AccessibleAction messages to an accessible object.

Since:
  3.6
See Also:
  `AccessibleActionListener`, `AccessibleActionAdapter`, Serialized Form

### Field Summary

Fields
`int` `count`
`int` `index`
`boolean` `localized`
`String` `result` The value of this field must be set in the accessible action listener method before returning.

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
`AccessibleActionEvent​(Object source)` Constructs a new instance of this class.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### result

    public String result

The value of this field must be set in the accessible action listener method before returning. What to set it to depends on the listener method called.

#### count

    public int count

#### index

    public int index

#### localized

    public boolean localized

### Constructor Detail

#### AccessibleActionEvent

    public AccessibleActionEvent​(Object source)

Constructs a new instance of this class.

Parameters:
  `source` - the object that fired the event

### Method Detail

#### toString

    public String toString()

Returns a string containing a concise, human-readable description of the receiver.

Overrides:
  `toString` in class `EventObject`
Returns:
  a string representation of the event